
export crossOS=android
echo "+ Setting crossOS=$crossOS"
export GSDLOS=android

export NDK_HOME=`pwd`
export PATH=$NDK_HOME/android_toolchain/bin:$NDK_HOME/android-ndk-r8b:$PATH

echo "+ Setting NDK_HOME to $NDK_HOME"
echo "+ Updating PATH to include 'android_toolchain/bin/' and 'ndk-build'"

export CPP=arm-linux-androideabi-cpp
export CC=arm-linux-androideabi-gcc
export CXX=arm-linux-androideabi-g++
export LD=arm-linux-androideabi-ld
export AR=arm-linux-androideabi-ar
export RANLIB=arm-linux-androideabi-ranlib

echo "+ Set export variables CPP, CC etc to arm-linux-androideabi-XXX"

# Need to make sure crossOS is set before sourcing the gnome-lib ext
# to ensure GSDLOS is set to 'android'.  This in turn ensures that all
# the cross-compiled files go under the 'android' install directory
# and avoids cross-contamination of shared libraries between commands
# run on the build OS (linux) and the intented final host OS (android)


if [ ! -d ../gs2build/ext/gnome-lib ] ; then
  echo "Warning: Failed to detect gnome-lib extension in gs2build:"
  echo "  <gsdl3home>/gs2build/ext/gnome-lib"
  sleep 5;
else

  pushd ../gs2build/ext/gnome-lib \
    && source ./devel.bash \
    && popd
fi

source ./gs3-setup.bash


